#include <3048f.h>
#include"lcdlib.h"
#include"PS2Pad.h"

void printReturnCode(unsigned char *retCode)
{
    unsigned i;
    unsigned char dip;
    dip=~P2.DR.BYTE;
    if(dip){
        gotoxy(0,0); for(i=9;i<15;i++)         printf("%02x",retCode[i]);
        printf("    ");
        gotoxy(0,1); for(i=15;i<cmdLength;i++) printf("%02x",retCode[i]);
        printf("    ");
    }else{
        gotoxy(0,0); for(i=0;i<5;i++) printf("%02x ",retCode[i]);
        gotoxy(0,1); for(i=5;i<9;i++) printf("%02x ",retCode[i]);
    }
}

void main(void)
{
    unsigned char dip,led=1,retCode[cmdLength/*21*/];
    unsigned char cmd[21]={0x01,0x42,0x00,0x01,0xff,0x00,0x00,0x00,0x00,
                    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00}
                    ,ret[21]; /*UX^[gR}h*/
    unsigned i;
    initMotherSystem();
    initPSPadPortP6();

    clrscr();
    while(1){

        if(led=1-led) ledon(all); else ledoff(all);
        dip=~P2.DR.BYTE; /*Dip Switch*/

        if( (~P4.DR.BYTE)&0x10 ){/*s1ꂽAiODUALSHOCKt[[h*/
            setPSPadAnalogMode(FREE);
        }
        else if( (~P4.DR.BYTE)&0x20 ){/*s2ꂽPS2PadAiOŒ胂[h*/
            setPS2PadAnalogMode(FIX);
        }
        else if( (~P4.DR.BYTE)&0x40 ){/*s3ꂽU*/
            setVibrationEnable();
        }
        else if( (~P4.DR.BYTE)&0x80 ){/*s4ꂽU*/
            vibratePSPad(dip);/* = setVibrationPower(dip); sendPSPad(readDataAndVibrateEx); */
            /*cmd[4]=dip; sendPSPadUser(cmd,ret,21); printReturnCode(ret);*/
        }
        else{                         /*pad̏Ԃǂݍ*/
            sendPSPad(readData);
            getPSPadRetCode(retCode);
            printReturnCode(retCode);
        }
    }
}
